#language: ru

@MovingProducts

Функционал: 003. MovingProducts. Дозаполение данных по организации

Сценарий: 003.1. MovingProducts. Создание валюты

	Дано Я подключаюсь под "Ведение организаций"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.003. Перемещение товаров"
	И Я создаю валюту RUB

Сценарий: 003.2. MovingProducts. Создание физических лиц

	Дано я удаляю объекты "Справочники.к2ФизическиеЛица" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Физические лица'
	Тогда я жду открытия окна 'Физические лица' в течение 20 секунд
	И Я создаю физическое лицо "Главный Руководитель Компании" с ФИО "Главный Руководитель Компании" и инициалами "Главный Р. К."
	И Я создаю физическое лицо "Главный Бухгалтер Компании" с ФИО "Главный Бухгалтер Компании" и инициалами "Главный Б. К."
	И Я создаю физическое лицо "Ответственный за склад Петров Петр" с ФИО "Петров Петр" и инициалами "Петров П."
	И я закрываю окно 'Физические лица'

Сценарий: 003.3. MovingProducts. Заполнение ответсвенного за склад, графика доставки, условия приема заказов в складе
	
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	* Заполнение ответсвенного и графика доставки для склада Сырная ГП 
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                |
			| 'Группа складов для отгрузки' |
		И в таблице  "Список" я перехожу на один уровень вниз
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Сырная ГП'    |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сырная ГП (Склад)'
		И из выпадающего списка "Ответственный" я выбираю по строке 'Ответственный за склад Петров Петр'
		И в поле 'Должность' я ввожу текст 'Кладовщик'
		И я перехожу к закладке "Доставка"
		И я снимаю флаг с именем 'Вторник'
		И я снимаю флаг с именем 'Четверг'
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеДобавить'
		И в таблице "УточненияПоДоставке" из выпадающего списка с именем "УточненияПоДоставкеТоварнаяКатегория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеПонедельник'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеВторник'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеСреда'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеЧетверг'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеСуббота'
		И в таблице "УточненияПоДоставке" я снимаю флаг с именем 'УточненияПоДоставкеВоскресенье'
		И в таблице "УточненияПоДоставке" я завершаю редактирование строки
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Сырная ГП (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	* Заполнение ответсвенного и графика доставки для склада Куриная ГП 
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Куриная ГП'   |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Куриная ГП (Склад)'
		И из выпадающего списка "Ответственный" я выбираю по строке 'Ответственный за склад Петров Петр'
		И в поле 'Должность' я ввожу текст 'Кладовщик'
		И я перехожу к закладке "Доставка"
		И я нажимаю на кнопку с именем 'ОчиститьДни'
		И элемент формы с именем "Понедельник" стал равен 'Нет'
		И элемент формы с именем "Вторник" стал равен 'Нет'
		И элемент формы с именем "Среда" стал равен 'Нет'
		И элемент формы с именем "Четверг" стал равен 'Нет'
		И элемент формы с именем "Пятница" стал равен 'Нет'
		И элемент формы с именем "Суббота" стал равен 'Нет'
		И элемент формы с именем "Воскресенье" стал равен 'Нет'
		И я нажимаю на кнопку с именем 'ВыбратьБудни'
		И элемент формы с именем "Понедельник" стал равен 'Да'
		И элемент формы с именем "Вторник" стал равен 'Да'
		И элемент формы с именем "Среда" стал равен 'Да'
		И элемент формы с именем "Четверг" стал равен 'Да'
		И элемент формы с именем "Пятница" стал равен 'Да'
		И элемент формы с именем "Суббота" стал равен 'Нет'
		И элемент формы с именем "Воскресенье" стал равен 'Нет'
		И я нажимаю на кнопку с именем 'ОчиститьДни'
		И элемент формы с именем "Понедельник" стал равен 'Нет'
		И элемент формы с именем "Вторник" стал равен 'Нет'
		И элемент формы с именем "Среда" стал равен 'Нет'
		И элемент формы с именем "Четверг" стал равен 'Нет'
		И элемент формы с именем "Пятница" стал равен 'Нет'
		И элемент формы с именем "Суббота" стал равен 'Нет'
		И элемент формы с именем "Воскресенье" стал равен 'Нет'
		И я нажимаю на кнопку с именем 'ВыбратьВсеДни'
		И элемент формы с именем "Понедельник" стал равен 'Да'
		И элемент формы с именем "Вторник" стал равен 'Да'
		И элемент формы с именем "Среда" стал равен 'Да'
		И элемент формы с именем "Четверг" стал равен 'Да'
		И элемент формы с именем "Пятница" стал равен 'Да'
		И элемент формы с именем "Суббота" стал равен 'Да'
		И элемент формы с именем "Воскресенье" стал равен 'Да'
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеДобавить'
		И в таблице "УточненияПоДоставке" из выпадающего списка с именем "УточненияПоДоставкеТоварнаяКатегория" я выбираю по строке 'Мясо птицы'
		И в таблице "УточненияПоДоставке" я завершаю редактирование строки
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс' | 'Пн' | 'Вт' | 'Ср' | 'Чт' | 'Пт' | 'Сб' |
			| 'Мясо птицы'         | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' |
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеУточненияОчиститьДни'
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс'  | 'Пн'  | 'Вт'  | 'Ср'  | 'Чт'  | 'Пт'  | 'Сб'  |
			| 'Мясо птицы'         | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' |
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеУточненияВыбратьБудни'
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс'  | 'Пн' | 'Вт' | 'Ср' | 'Чт' | 'Пт' | 'Сб'  |
			| 'Мясо птицы'         | 'Нет' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Нет' |
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеУточненияОчиститьДни'
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс'  | 'Пн'  | 'Вт'  | 'Ср'  | 'Чт'  | 'Пт'  | 'Сб'  |
			| 'Мясо птицы'         | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' | 'Нет' |
		И в таблице "УточненияПоДоставке" я нажимаю на кнопку с именем 'УточненияПоДоставкеУточненияВыбратьВсеДни'
		Тогда таблица "УточненияПоДоставке" стала равной:
			| 'Товарная категория' | 'Вс' | 'Пн' | 'Вт' | 'Ср' | 'Чт' | 'Пт' | 'Сб' |
			| 'Мясо птицы'         | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' | 'Да' |
		И в таблице "УточненияПоДоставке" я активизирую поле с именем "УточненияПоДоставкеТоварнаяКатегория"
		И в таблице 'УточненияПоДоставке' я удаляю строку
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Куриная ГП (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'
	
Сценарий: 003.4. MovingProducts. Заполнение ответственных лиц организации и банковского счета

	Дано я удаляю объекты "Справочники.БанковскиеСчета" без контроля ссылок
	Дано я удаляю объекты "Справочники.к2ОтветственныеЛицаОрганизаций" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Организации'
	Тогда я жду открытия окна 'Организации' в течение 20 секунд
	* Заполнение ответственных лиц и банковского счета для организации
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Организация'  |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Организация (Организация)'
		И я разворачиваю группу с именем "ОтветственныеЛица"
		И я нажимаю на кнопку 'Все лица с правом подписи'
		Тогда открылось окно 'Лицо с правом подписи'
		И Я начинаю создавать ответственное лицо "Главный Руководитель Компании" в должности "Руководитель" с наименованием "Главный Р. К."
		И в поле 'Период действия с' я ввожу текст '01.01.2000'
		И в поле 'Представление должности для печати' я ввожу текст 'Директор'
		И я заканчиваю создавать ответственное лицо
		И Я начинаю создавать ответственное лицо "Главный Бухгалтер Компании" в должности "Главный бухгалтер" с наименованием "Главный Б. К."
		И в поле 'Период действия с' я ввожу текст '01.02.2000'
		И я заканчиваю создавать ответственное лицо
		И Я закрываю окно 'Лицо с правом подписи'
		Тогда открылось окно 'Организация (Организация)'
		И элемент формы "Директор" стал равен "Главный Р. К."
		И элемент формы "Главный бухгалтер" стал равен "Главный Б. К."
		И я нажимаю на кнопку создать поля "Основной банковский счет"
		Тогда открылось окно 'Банковский счет (создание)'
		И в поле с именем 'Наименование' я ввожу текст 'Основной счет'
		И в поле 'Номер счета' я ввожу текст '40702810838110013654'
		И в поле "Валюта" я ввожу текст "RUB"
		И в поле с именем 'БИКБанка' я ввожу текст '044585250'
		И я перехожу к следующему реквизиту
		Тогда открылось окно 'Выбор банка из классификатора'
		И я нажимаю на кнопку 'Продолжить ввод'
		Тогда открылось окно 'Банковский счет (создание) *'
		И Я заканчиваю создавать банковский счет
		Тогда открылось окно 'Организация (Организация) *'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Организация (Организация) *' в течение 20 секунд
		Тогда открылось окно 'Организации'
	И Я закрываю окно 'Организации'

Сценарий: 003.5. MovingProducts. Завершение

	И я закрываю сеанс TESTCLIENT